Package relaxngcc.builder

# Class Alias

java.lang.Object
relaxngcc.builder.Alias

public class Alias extends Object
Alias that will be generated as a field.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
`final CDType`
`type`

## Constructor Summary

Constructors
Constructor
Description
`Alias(CDType t, String n)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

public final CDType type

### name

public final String name

## Constructor Details

### Alias

public Alias(CDType t, String n)